Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454019 - Review Request: tcl-tktreectrl - Multi-column hierarchical listbox widget for Tk
Summary: Review Request: tcl-tktreectrl - Multi-column hierarchical listbox widget for Tk
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 454022
TreeView+ depends on / blocked
 
Reported: 2008-07-03 20:20 UTC by Tom "spot" Callaway
Modified: 2008-10-31 10:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-31 10:26:28 UTC
mmaslano: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2008-07-03 20:20:15 UTC
Spec URL: http://auroralinux.org/people/spot/review/coccinella/tcl-tktreectrl.spec
SRPM URL: http://auroralinux.org/people/spot/review/coccinella/tcl-tktreectrl-2.2.5-1.fc10.src.rpm
Description: 
TkTreeCtrl is a flexible listbox widget for Tk.

Comment 1 Marcela Mašláňová 2008-10-24 08:04:19 UTC
- source files match upstream: 
OK package meets naming and versioning guidelines.
OK specfile is properly named, is cleanly written and uses macros consistently.
OK dist tag is present.
OK build root is correct.
OK license field TCL matches the actual license.
OK license is open source-compatible. License text not included upstream.
FAIL latest version is being packaged.
- upstream has new version 2.2.8
OK BuildRequires are proper.
OK %clean is present.
OK package builds in mock (Rawhide/x86_64).
OK debuginfo package looks complete.
OK rpmlint is silent.
OK final provides and requires look sane.
OK no shared libraries are added to the regular linker search paths.
OK owns the directories it creates.
OK no duplicates in %files.
OK file permissions are appropriate.
OK no scriptlets present.
OK code, not content.
OK documentation is small, so no -docs subpackage is necessary.
OK %docs are not necessary for the proper functioning of the package.
OK no headers.
OK no pkgconfig files.
OK no libtool .la droppings.

Please consider update to the latest version, if it's possible.

Comment 3 Marcela Mašláňová 2008-10-30 14:08:21 UTC
OK

Comment 4 Tom "spot" Callaway 2008-10-30 14:38:01 UTC
New Package CVS Request
=======================
Package Name: tcl-tktreectrl
Short Description: Multi-column hierarchical listbox widget for Tk
Owners: spot
Branches: EL-4 EL-5 F-8 F-9 devel
InitialCC:

... and it's done.

Comment 5 Fedora Update System 2008-10-30 17:14:04 UTC
tcl-tktreectrl-2.2.8-1.fc8.1 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/tcl-tktreectrl-2.2.8-1.fc8.1

Comment 6 Fedora Update System 2008-10-30 17:14:07 UTC
tcl-tktreectrl-2.2.8-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/tcl-tktreectrl-2.2.8-1.fc9

Comment 7 Fedora Update System 2008-10-31 10:26:24 UTC
tcl-tktreectrl-2.2.8-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2008-10-31 10:27:16 UTC
tcl-tktreectrl-2.2.8-1.fc8.1 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.